<?php

namespace App\Http\Controllers;
use App\Services\Normalize;

class Utf8Controller extends Controller
{
    
    public function ex1(Normalize $norm)
    {        
        //dd($norm->removeDicaritic("1 Ève. Réel après Neptune. En Ut. Penser. Palée rêvée. Nu."));
        dd($norm->compare("élève", "e\xCC\x81le\xCC\x80ve"));
    }
    
    public function ex2(Normalize $norm)
    {
        $persons = [
            "von Neuman, John",
            "Émilien, George",
            "de La Fontaine, Jean",
            "Re\xCC\x81naud, Célèv",
            "Renaud, Céline", 
            "Zorg, Jean Baptiste Emmanuel",
        ];        
        usort($persons, function ($str1, $str2) use ($norm) {
            $str1 = $norm->trimBerforeFirstUppercaseLetter($str1);  
            $str2 = $norm->trimBerforeFirstUppercaseLetter($str2);
            return $norm->compare($str1, $str2);
        });
        dd($persons);
    }
    
    public function ex3(Normalize $norm)
    {        
        dd($norm->isPalindrom('CœurueoC'));
    }
    
}
