var News = Backbone.Model.extend({
   
});
var NewsCol = Backbone.Collection.extend({
    model: News,
    url : '/progweb/v1/news/'
});
var ViewsNews = Backbone.View.extend({
  initialize: function() {
    this.listenTo(this.collection, "sync change add remove", this.render);
    this.template = _.template("<article><h1><%= title %></h1><p><%= body %></p></footer></article>");
  },

  render: function() {          
    $("#news").empty();
    this.collection.each((news) => {        
        $("#news").append(this.template(news.attributes));
    });
  }
});


var news = new NewsCol();
var vNews = new ViewsNews({
    collection: news
})

news.fetch();

$(function () {
    vNews.render();    
    setTimeout(function () {
        news.at(0).set({"title": "nouveau titre 22222 !!!"});        
        news.at(0).save();
    }, 2000)
    var n1 = new News({
        title: "News from backbone",
        body: "vide"
    })
    news.add(n1);
    n1.save();
    n1.destroy();
})